'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = envCommand;

var _env = require('../utils/env');

var _env2 = _interopRequireDefault(_env);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var env = function env(vorpal) {
  return function () {
    return Promise.resolve(vorpal.log(JSON.stringify(_env2.default, null, '\t')));
  };
}; /*
    * LiskHQ/lisky
    * Copyright © 2017 Lisk Foundation
    *
    * See the LICENSE file at the top-level directory of this distribution
    * for licensing information.
    *
    * Unless otherwise agreed in a custom licensing agreement with the Lisk Foundation,
    * no part of this software, including this file, may be copied, modified,
    * propagated, or distributed except according to the terms contained in the
    * LICENSE file.
    *
    * Removal or modification of this copyright notice is prohibited.
    *
    */
function envCommand(vorpal) {
  vorpal.command('env').description('Print environmental configuration.').action(env(vorpal));
}