'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.printResult = exports.getTableString = undefined;

var _tablify = require('./tablify');

var _tablify2 = _interopRequireDefault(_tablify);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var getTableString = exports.getTableString = function getTableString(result) {
  return (0, _tablify2.default)(result).toString();
}; /*
    * LiskHQ/lisky
    * Copyright © 2017 Lisk Foundation
    *
    * See the LICENSE file at the top-level directory of this distribution
    * for licensing information.
    *
    * Unless otherwise agreed in a custom licensing agreement with the Lisk Foundation,
    * no part of this software, including this file, may be copied, modified,
    * propagated, or distributed except according to the terms contained in the
    * LICENSE file.
    *
    * Removal or modification of this copyright notice is prohibited.
    *
    */
var printResult = exports.printResult = function printResult(printFn, vorpal, result) {
  vorpal.log(printFn(result));
};